API Docs
YMS API
Load
POST Search Loads by Paging

POST Search Loads by Page

Introduction

Search for loads with pagination support. Returns results in pages, allowing you to specify page number and page size. Ideal for large result sets and UI table displays.

API Request

POST /public/load/search-by-paging

Body Request Parameters

{
  "currentPage": 0,
  "pageSize": 0,
  "sortingFields": [
    {
      "field": "string",
      "orderBy": "NONE"
    }
  ],
  "loadId": "string",
  "loadIds": [
    "string"
  ],
  "loadStatus": "string",
  "loadStatuses": [
    "string"
  ],
  "loadNos": [
    "string"
  ],
  "loadNo": "string",
  "loadNoLike": "string",
  "shipMethod": "TRUCK_LOAD",
  "carrierId": "string",
  "externalCarrierId": "string",
  "carrierIds": [
    "string"
  ],
  "appointmentTimePeriod": [
    "string"
  ],
  "appointmentId": "string",
  "orderIds": [
    "string"
  ],
  "orderId": "string",
  "keyword": "string",
  "keywordWithOrder": "string",
  "customerId": "string",
  "customerIds": [
    "string"
  ],
  "masterBol": "string",
  "bolNos": [
    "string"
  ],
  "masterBolNos": [
    "string"
  ],
  "sealNo": "string",
  "equipmentType": "VEHICLE",
  "equipmentNo": "string",
  "equipmentNos": [
    "string"
  ],
  "equipmentNoLike": "string",
  "trailerNo": "string",
  "appointmentIdIsNull": true,
  "templateLoadKey": "string",
  "searchScenario": "string",
  "referenceNoLike": "string",
  "poNoLike": "string",
  "loadIdLike": "string",
  "poNoGroup": "string",
  "referenceNoGroup": "string",
  "orLoadNo": "string",
  "orLoadId": "string"
}

Request Parameters

NameLocationTypeRequiredDescription
X-Tenant-IDheaderstringNonone
X-Yard-IDheaderstringNonone
Item-Time-ZoneheaderstringNonone
AuthorizationheaderstringNonone
bodybodyLoadQuery (opens in a new tab)Nonone

Response Example

200 Response

{
  "code": 0,
  "msg": "",
  "success": false,
  "data": {
    "list": [
      {
        "id": "",
        "loadId": "",
        "loadStatus": "",
        "loadNo": "",
        "shipMethod": "",
        "carrierId": "",
        "appointmentTime": "",
        "appointmentId": "",
        "orderIds": [
          ""
        ],
        "customerId": "",
        "masterBol": "",
        "sealNo": "",
        "customerName": "",
        "carrierName": "",
        "orderViews": [
          {
            "id": 0,
            "orderId": "",
            "orderStatus": "",
            "customerId": "",
            "poNo": "",
            "referenceNo": "",
            "retailer": "",
            "shipFrom": "",
            "shipTo": "",
            "totalPalletQty": 0,
            "totalCartonQty": 0,
            "itemInfos": [
              {
                "itemId": "",
                "itemName": "",
                "itemQty": "",
                "palletQty": "",
                "itemSpecDesc": "",
                "itemSpecName": "",
                "uomId": "",
                "qty": ""
              }
            ],
            "customerName": "",
            "carrierName": "",
            "shipToAddress": {
              "id": "",
              "name": "",
              "country": "",
              "state": "",
              "city": "",
              "zipCode": "",
              "fax": "",
              "address1": "",
              "address2": "",
              "contact": "",
              "phone": "",
              "extension": "",
              "email": "",
              "orgId": "",
              "orgName": "",
              "referenceNo": "",
              "batchCode": "",
              "storeNo": "",
              "shorthand": "",
              "toHome": false,
              "tags": [
                ""
              ],
              "latitude": "",
              "longitude": "",
              "crmAddressId": ""
            },
            "shipFromAddress": {
              "id": "",
              "name": "",
              "country": "",
              "state": "",
              "city": "",
              "zipCode": "",
              "fax": "",
              "address1": "",
              "address2": "",
              "contact": "",
              "phone": "",
              "extension": "",
              "email": "",
              "orgId": "",
              "orgName": "",
              "referenceNo": "",
              "batchCode": "",
              "storeNo": "",
              "shorthand": "",
              "toHome": false,
              "tags": [
                ""
              ],
              "latitude": "",
              "longitude": "",
              "crmAddressId": ""
            },
            "appointmentTime": "",
            "dynamicFieldValues": [
              {
                "entityId": "",
                "entityType": "",
                "fieldCode": "",
                "value": "",
                "fieldName": "",
                "longValue": "",
                "shortValue": ""
              }
            ],
            "proNos": [
              ""
            ],
            "invoicePros": [
              ""
            ],
            "doNos": [
              ""
            ],
            "tripNo": "",
            "shippedTime": ""
          }
        ],
        "dynamicFieldValues": [
          {
            "entityId": "",
            "entityType": "",
            "fieldCode": "",
            "value": "",
            "fieldName": "",
            "longValue": "",
            "shortValue": ""
          }
        ],
        "equipmentType": "",
        "equipmentNo": "",
        "referenceNoList": [
          ""
        ],
        "poNoList": [
          ""
        ],
        "templateLoadKey": "",
        "proNos": [
          ""
        ],
        "invoicePros": [
          ""
        ],
        "doNos": [
          ""
        ],
        "tripNos": [
          ""
        ],
        "loadType": "",
        "stagingLocationName": "",
        "shippedTime": ""
      }
    ],
    "totalCount": 0,
    "currentPage": 0,
    "pageSize": 0,
    "totalPage": 0
  }
}

Response

Status CodeDefinitionDescriptionData Model
200OK (opens in a new tab)noneRPageResultLoadView (opens in a new tab)